Index: cards/delphes_card_CircularEE.tcl
===================================================================
--- cards/delphes_card_CircularEE.tcl	(revision e7cccc21f69f74174fc376c509890274b4de6358)
+++ cards/delphes_card_CircularEE.tcl	(revision 66b1770d998a4d8c06bb01159db955f51e765bb9)
@@ -52,5 +52,6 @@
   BTagging
   CTagging
-  TauTagging
+  TauTaggingTight
+  TauTaggingLoose
 
   BTaggingExclusive_N2
@@ -62,7 +63,11 @@
   CTaggingExclusive_N6
 
-  TauTaggingExclusive_N2
-  TauTaggingExclusive_N4
-  TauTaggingExclusive_N6
+  TauTaggingTightExclusive_N2
+  TauTaggingTightExclusive_N4
+  TauTaggingTightExclusive_N6
+
+  TauTaggingLooseExclusive_N2
+  TauTaggingLooseExclusive_N4
+  TauTaggingLooseExclusive_N6
 
   ScalarHT
@@ -719,9 +724,11 @@
 
 
-module TauTagging TauTagging {
+module TauTagging TauTaggingTight {
   set ParticleInputArray Delphes/allParticles
   set PartonInputArray Delphes/partons
   set JetInputArray JetEnergyScale/jets
 
+  set BitNumber 0
+
   set DeltaR 0.5
 
@@ -740,4 +747,32 @@
 
 
+#############
+# tau-tagging
+#############
+
+
+module TauTagging TauTaggingLoose {
+  set ParticleInputArray Delphes/allParticles
+  set PartonInputArray Delphes/partons
+  set JetInputArray JetEnergyScale/jets
+
+  set BitNumber 1
+
+  set DeltaR 0.5
+
+  set TauPTMin 1.0
+
+  set TauEtaMax 3.0
+
+  # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
+
+  # default efficiency formula (misidentification rate)
+  add EfficiencyFormula {0} {0.1}
+  # efficiency formula for tau-jets
+  add EfficiencyFormula {15} {0.85}
+}
+
+
+
 ###########
 # b-tagging
@@ -784,9 +819,11 @@
 
 
-module TauTagging TauTaggingExclusive_N2 {
+module TauTagging TauTaggingTightExclusive_N2 {
   set ParticleInputArray Delphes/allParticles
   set PartonInputArray Delphes/partons
   set JetInputArray ExclusiveFastJetFinder_N2/jets
 
+  set BitNumber 0
+
   set DeltaR 0.5
 
@@ -804,4 +841,34 @@
 
 
+#############
+# tau-tagging
+#############
+
+
+module TauTagging TauTaggingLooseExclusive_N2 {
+  set ParticleInputArray Delphes/allParticles
+  set PartonInputArray Delphes/partons
+  set JetInputArray ExclusiveFastJetFinder_N2/jets
+
+  set BitNumber 1
+
+  set DeltaR 0.5
+
+  set TauPTMin 1.0
+
+  set TauEtaMax 3.0
+
+  # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
+
+  # default efficiency formula (misidentification rate)
+  add EfficiencyFormula {0} {0.1}
+  # efficiency formula for tau-jets
+  add EfficiencyFormula {15} {0.85}
+}
+
+
+
+
+
 ###########
 # b-tagging
@@ -848,8 +915,10 @@
 
 
-module TauTagging TauTaggingExclusive_N4 {
+module TauTagging TauTaggingTightExclusive_N4 {
   set ParticleInputArray Delphes/allParticles
   set PartonInputArray Delphes/partons
   set JetInputArray ExclusiveFastJetFinder_N4/jets
+  
+  set BitNumber 0
 
   set DeltaR 0.5
@@ -866,4 +935,35 @@
   add EfficiencyFormula {15} {0.4}
 }
+
+
+
+#############
+# tau-tagging
+#############
+
+
+module TauTagging TauTaggingLooseExclusive_N4 {
+  set ParticleInputArray Delphes/allParticles
+  set PartonInputArray Delphes/partons
+  set JetInputArray ExclusiveFastJetFinder_N4/jets
+  
+  set BitNumber 1
+
+  set DeltaR 0.5
+
+  set TauPTMin 1.0
+
+  set TauEtaMax 3.0
+
+  # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
+
+  # default efficiency formula (misidentification rate)
+  add EfficiencyFormula {0} {0.1}
+  # efficiency formula for tau-jets
+  add EfficiencyFormula {15} {0.85}
+}
+
+
+
 ###########
 # b-tagging
@@ -910,9 +1010,11 @@
 
 
-module TauTagging TauTaggingExclusive_N6 {
+module TauTagging TauTaggingTightExclusive_N6 {
   set ParticleInputArray Delphes/allParticles
   set PartonInputArray Delphes/partons
   set JetInputArray ExclusiveFastJetFinder_N6/jets
 
+  set BitNumber 0
+
   set DeltaR 0.5
 
@@ -927,4 +1029,31 @@
   # efficiency formula for tau-jets
   add EfficiencyFormula {15} {0.4}
+}
+
+
+#############
+# tau-tagging
+#############
+
+
+module TauTagging TauTaggingLooseExclusive_N6 {
+  set ParticleInputArray Delphes/allParticles
+  set PartonInputArray Delphes/partons
+  set JetInputArray ExclusiveFastJetFinder_N6/jets
+
+  set BitNumber 1
+
+  set DeltaR 0.5
+
+  set TauPTMin 1.0
+
+  set TauEtaMax 3.0
+
+  # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
+
+  # default efficiency formula (misidentification rate)
+  add EfficiencyFormula {0} {0.1}
+  # efficiency formula for tau-jets
+  add EfficiencyFormula {15} {0.85}
 }
 
